Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 187546 - Add JavaFX debugger as a friend
Add JavaFX debugger as a friend
Status: VERIFIED FIXED
Product: debugger
Classification: Unclassified
Component: Java
6.x
PC Linux
: P2 (vote)
: 7.0
Assigned To: Martin Entlicher
issues@debugger
69patch1
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-14 13:35 UTC by Martin Entlicher
Modified: 2010-06-17 14:33 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Entlicher 2010-06-14 13:35:45 UTC
For development reasons, it's necessary to add JavaFX debugger (org.netbeans.modules.javafx.debugger) as a friend to JPDA debugger so that it has an access to implementation classes.
Comment 1 Martin Entlicher 2010-06-14 13:55:40 UTC
Done in changeset:   172929:8efcb31d0da1
http://hg.netbeans.org/main/rev/8efcb31d0da1
Comment 2 Quality Engineering 2010-06-15 03:27:20 UTC
Integrated into 'main-golden', will be available in build *201006150001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/8efcb31d0da1
User: mentlicher@netbeans.org
Log: #187546 Add org.netbeans.modules.javafx.debugger as a friend.
Comment 3 rbalada 2010-06-16 08:57:29 UTC
Please verify bugfix for this bug, so it can be included in release691 repository.

Thanks,
-R
Comment 4 Martin Entlicher 2010-06-16 13:14:03 UTC
Also,  AbstractVariable and AbstractObjectVariable are made public for use by JavaFX in changeset:   173081:3e7862942aca
http://hg.netbeans.org/main/rev/3e7862942aca
Comment 5 Quality Engineering 2010-06-17 03:20:55 UTC
Integrated into 'main-golden', will be available in build *201006170001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/3e7862942aca
User: mentlicher@netbeans.org
Log: #187546 AbstractVariable and AbstractObjectVariable made public for use by JavaFX.
Comment 6 Petr Blaha 2010-06-17 11:51:53 UTC
verified
Comment 7 rbalada 2010-06-17 14:33:11 UTC
main #3e7862942aca transplanted to release691 #87c0b8bac466
main #8efcb31d0da1 transplanted to release691 #c5aaa4cff5cb


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo